Bug 1420391 - No more touchpad and integrated keyboard since linux 4.9 on chromebook CYAN
Summary: No more touchpad and integrated keyboard since linux 4.9 on chromebook CYAN
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:46 UTC by Mildred
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:09:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 194945 0 None None None 2017-05-02 09:24:15 UTC

Description Mildred 2017-02-08 14:46:04 UTC
Description of problem: Since kernel update to 4.9, touchpad and integrated keyboard do not work

Version-Release number of selected component (if applicable):

4.9.5-200.fc25.x86_64
4.9.6-200.fc25.x86_64
vanilla kernel 4.9.5

How reproducible: always

Steps to Reproduce:
1. boot to gdm

Actual results: mouse and keyboard unresponsive. External mouse or keyboard ok
Expected results: mouse and keyboard ok

Additional info:

There has been known problems with the keyboard and touchpad on those devices. Possibly a patch on 4.8 fixed it and it was removed for 4.9. See also https://github.com/GalliumOS/galliumos-distro/issues/270

Comment 1 Mildred 2017-03-28 21:22:46 UTC
I found a trace in the logs about the touchpad driver:

mars 28 08:56:16 elayna kernel: genirq: Flags mismatch irq 182. 00002002 (ELAN0000:00) vs. 00000080 (i8042)
mars 28 08:56:16 elayna kernel: CPU: 1 PID: 518 Comm: kworker/u8:4 Not tainted 4.9.14-200.fc25.x86_64 #1
mars 28 08:56:16 elayna kernel: Hardware name: GOOGLE Cyan, BIOS          05/20/2016
mars 28 08:56:16 elayna kernel: Workqueue: events_unbound async_run_entry_fn
mars 28 08:56:16 elayna kernel:  ffffb1b7409b3b58 ffffffff943f4cfd ffff94ff76db8880 00000000fffffff0
mars 28 08:56:16 elayna kernel:  ffffb1b7409b3bb0 ffffffff94102f07 0000000000000246 ffff94ff7a7ef29c
mars 28 08:56:16 elayna kernel:  ffff94ff7766b188 0000000028acf240 ffff94ff76db8880 0000000000000000
mars 28 08:56:16 elayna kernel: Call Trace:
mars 28 08:56:16 elayna kernel:  [<ffffffff943f4cfd>] dump_stack+0x63/0x86
mars 28 08:56:16 elayna kernel:  [<ffffffff94102f07>] __setup_irq+0x5e7/0x640
mars 28 08:56:16 elayna kernel:  [<ffffffff9410313b>] request_threaded_irq+0x10b/0x1a0
mars 28 08:56:16 elayna kernel:  [<ffffffffc052c7f0>] ? elan_sysfs_read_product_id+0x30/0x30 [elan_i2c]
mars 28 08:56:16 elayna kernel:  [<ffffffff9410531b>] devm_request_threaded_irq+0x6b/0xb0
mars 28 08:56:16 elayna kernel:  [<ffffffffc052c7f0>] ? elan_sysfs_read_product_id+0x30/0x30 [elan_i2c]
mars 28 08:56:16 elayna kernel:  [<ffffffffc052d6cc>] elan_probe+0x45c/0x600 [elan_i2c]
mars 28 08:56:16 elayna kernel:  [<ffffffffc052d270>] ? elan_sysfs_update_fw+0x400/0x400 [elan_i2c]
mars 28 08:56:16 elayna kernel:  [<ffffffff94663832>] i2c_device_probe+0x102/0x1c0
mars 28 08:56:16 elayna kernel:  [<ffffffff9454c703>] driver_probe_device+0x223/0x430
mars 28 08:56:16 elayna kernel:  [<ffffffff9454c9ef>] __driver_attach+0xdf/0xf0
mars 28 08:56:16 elayna kernel:  [<ffffffff9454c910>] ? driver_probe_device+0x430/0x430
mars 28 08:56:16 elayna kernel:  [<ffffffff9454a0ec>] bus_for_each_dev+0x6c/0xc0
mars 28 08:56:16 elayna kernel:  [<ffffffff9454be4e>] driver_attach+0x1e/0x20
mars 28 08:56:16 elayna kernel:  [<ffffffff9454a4d2>] driver_attach_async+0x12/0x40
mars 28 08:56:16 elayna kernel:  [<ffffffff940c6929>] async_run_entry_fn+0x39/0x140
mars 28 08:56:16 elayna kernel:  [<ffffffff940bd4b4>] process_one_work+0x184/0x430
mars 28 08:56:16 elayna kernel:  [<ffffffff940bd7ae>] worker_thread+0x4e/0x480
mars 28 08:56:16 elayna kernel:  [<ffffffff940bd760>] ? process_one_work+0x430/0x430
mars 28 08:56:16 elayna kernel:  [<ffffffff940bd760>] ? process_one_work+0x430/0x430
mars 28 08:56:16 elayna kernel:  [<ffffffff940c3529>] kthread+0xd9/0xf0
mars 28 08:56:16 elayna kernel:  [<ffffffff940c3450>] ? kthread_park+0x60/0x60
mars 28 08:56:16 elayna kernel:  [<ffffffff9481ded5>] ret_from_fork+0x25/0x30
mars 28 08:56:16 elayna kernel: elan_i2c i2c-ELAN0000:00: cannot register irq=182
mars 28 08:56:16 elayna kernel: input: Elan Touchscreen as /devices/platform/808622C1:00/i2c-9/i2c-ELAN0001:00/input/input9
mars 28 08:56:16 elayna kernel: elan_i2c: probe of i2c-ELAN0000:00 failed with error -16

Comment 2 Mildred 2017-03-28 21:23:39 UTC
Followed by errors like:

mars 28 08:56:16 elayna kernel: elants_i2c i2c-ELAN0001:00: unknown packet ff ff ff ff

Comment 3 Justin M. Forbes 2017-04-11 14:51:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2017-04-28 17:09:17 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 5 Mildred 2017-05-02 09:24:16 UTC
This is most probably not tied to Fedora but to the upstream kernel. Custom builds have this problem as well. This is most probably the same bug as https://bugzilla.kernel.org/show_bug.cgi?id=194945 (I need to make tests to make sure of this)


Note You need to log in before you can comment on or make changes to this bug.